package cn.com.poc.support.security.oauth.entity;

import cn.com.yict.framemax.data.model.UserBaseModel;

/**
 * @author alex.yao
 * @date 2023/11/23
 **/
public class OpenPlatformEntity implements UserBaseModel {

    private String appKey;


    @Override
    public Long getUserId() {
        return null;
    }

    @Override
    public String getUserName() {
        return appKey;
    }

    public void setUserName(String userName) {
        this.appKey = userName;
    }

    @Override
    public String getUserAccount() {
        return appKey;
    }

    public void setUserAccount(String userAccount) {
        this.appKey = appKey;
    }

    @Override
    public String getCentralAccount() {
        return null;
    }

    @Override
    public String getPassword() {
        return null;
    }

    @Override
    public String getUserBuId() {
        return null;
    }

}
